/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Sun Jan 12 00:54:19 UTC 2003
    copyright            : (C) 2003 by Juan Luis Baptiste
    email                : jbaptiste@merlinux.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include <unistd.h>
#include <sys/types.h>
#include <kmessagebox.h>
#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "knetworkconf.h"
//#include "knetworkconfmodule.h"

static const char *description =
	I18N_NOOP("KNetworkConf - A KDE Application to configure TCP/IP settings.");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{
  using namespace std;
  KAboutData aboutData( "knetworkconf", I18N_NOOP("KNetworkConf"),
    VERSION, description, KAboutData::License_GPL,
    "(c) 2003, Juan Luis Baptiste", 0, "http://www.merlinux.org/knetworkconf/", "jbaptiste@merlinux.org");
  aboutData.addAuthor("Juan Luis Baptiste",I18N_NOOP("Lead Developer"),
                      "jbaptiste@merlinux.org");
  aboutData.addCredit("David Sansome",I18N_NOOP("Various bugfixes and features"),
                      "me@davidsansome.com");
  aboutData.addCredit("Carlos Garnacho and the Gnome System Tools Team",I18N_NOOP("Provided the Network backend in wich KNetworkConf relies on"),
                      "garnacho@tuxerver.net","http://www.gnome.org/projects/gst/");
  aboutData.addCredit("Pedro Jurado Maqueda",I18N_NOOP("Spanish translation"),
                      "pjmelenas@biwemail.com");
  aboutData.addCredit("Florian Fernandez",I18N_NOOP("French translation"),
                      "florian.fernandez2@wanadoo.fr");
                      
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication a;
  KNetworkConf *knetworkconf = new KNetworkConf();
  knetworkconf->setReadOnly(false);
  qDebug("version= %s\n",VERSION);
  knetworkconf->setVersion(VERSION);
  
  a.setMainWidget(knetworkconf);
  
  int code = 0;
  if (geteuid() > 0)
  {
/*    code = KMessageBox::warningContinueCancel(0,
                i18n("You must be root to change the TCP/IP settings. \nIf you continue, you will have read-only acess."),
                i18n("You are not root!"));
    */
    knetworkconf->setReadOnly(true);
    knetworkconf->disableAll();    
  }
  if (code == KMessageBox::Cancel)
    return 1;
  else
  {
    //knetworkconf->show();  
    return a.exec();
  }  
}
/*extern "C"
{
  KCModule *create_networkconf(QWidget *parent, const char *name)
  {
    return new KNetworkConfModule(parent, name);
  };
}
*/